package com.base.datarecovery

import com.base.datarecovery.utils.AppPreferences


object GlobalConfig {
    // 包名
    const val PACKAGE_NAME = "com.cleaner.recovery.tencgog"

    // 域名
    /**
     * Url Event 上报接口
     */
    const val URL_EVENT = "https://rp.rocioxynv2.online"

    /**
     * Url Api 业务接口
     */
    const val URL_API = "https://api.rocioxynv2.online"

    /**
     * Url Privacy 隐私链接
     */
    const val URL_PRIVACY = "https://sites.google.com/view/recpri/rec"

    /**
     * Url Use 使用条款
     */
    const val URL_USE = ""

    /**
     * Key Aes 加密key
     */
    const val KEY_AES = "5s1q2jusawhorcz0"

    /**
     * Key solar 归因key
     */
    const val KEY_SOLAR = ""

    inline val ID_ADMOB_APPLICATION get() = "ca-app-pub-3940256099942544~3347511713"
    // admob广告位id
    inline val ID_ADMOB_OPEN get() = "/6499/example/app-open"
    inline val ID_ADMOB_INTER get() = "ca-app-pub-3940256099942544/1033173712"
    inline val ID_ADMOB_NATIVE get() = "ca-app-pub-3940256099942544/2247696110"
    inline val ID_ADMOB_BANNER get() = "ca-app-pub-3940256099942544/9214589741"
    inline val ID_ADMOB_REWARD get() = ""

    // max广告位id
    inline val ID_MAX_OPEN get() = "d1d943cdd3127c90"
    inline val ID_MAX_INTER get() = "b31e7f6d11ee659e"
    inline val ID_MAX_NATIVE get() = "96e8fe78b0efc5d1"
    inline val ID_MAX_BANNER get() = "ca-app-pub-3940256099942544/9214589741"
    inline val ID_MAX_REWARD get() = ""

    /**
     * Key MAX MAX广告初始化key
     */
    const val KEY_MAX =
        "GGPreND6SRmCt1zJgn5faiLGD8c2PVGPLgPpSg7cHanVTud1DhtuI9MmteTqlEviaJ57WnxW68kQDaATJ5z3cW"

    //
    const val KEY_INIT = "key_init"
    const val KEY_AD = "sAds"
    const val KEY_BLACKLIST = "blacklist"
    const val KEY_CLEANUP_SIZE = "key_cleanup_size"
    const val KEY_SCORE = "key_score"
    const val KEY_APP_BACKGROUND = "key_app_background"
    const val KEY_NOTIFICATION_ID = "key_notification_id"
    const val KEY_HOME_COUNT = "key_home_count"
    const val KEY_INSTALL_TIME = "key_install_time"
    const val KEY_CLEAN_LAST_TIME = "key_clean_last_time"
    const val KEY_NOT_CLEAN_TIME = "key_not_clean_time"
    const val KEY_UUID = "key_uuid"
    const val KEY_GOOGLE_ADVERTISER_ID = "key_google_advertiser_id"
    const val KEY_DEVICE_NAME = "key_device_name"
    const val KEY_IS_FIRST = "is_first"
    const val KEY_REFERRER = "referrer"
    const val KEY_TOKEN = "token"
    const val KEY_TOKEN_SUCCESS = "token_success"
    const val KEY_PUSH_REPORT_SWITCH = "push_report_switch"

    const val ID_CLEAN_JUNK = 12000
    const val ID_BATTERY_INFO = 12020
    const val ID_LARGE_FILE_CLEANER = 12030
    const val ID_PHOTO_COMPRESSION = 12040
    const val ID_SCREENSHOT_CLEAN = 12050
    const val ID_APP_INSTALL = 12060
    const val ID_APP_UNINSTALL = 12070
    const val ID_NOT_CLEANED = 12080
    const val ID_BATTERY_LEVEL = 12090
    const val ID_HOME = 12100



    const val DEFAULT_SWITCH = "1"

    inline var isInit
        get() = AppPreferences.getInstance().getBoolean(KEY_INIT,false)
        set(value) = AppPreferences.getInstance().put(KEY_INIT, value)

    inline var isFirst
        get() = AppPreferences.getInstance().getBoolean(KEY_IS_FIRST, true)
        set(value) = AppPreferences.getInstance().put(KEY_IS_FIRST, value)

    inline var useBlacklist
        get() = AppPreferences.getInstance().getBoolean(KEY_BLACKLIST,false)
        set(value) = AppPreferences.getInstance().put(KEY_BLACKLIST, value)

    inline var useAdmob
        get() = AppPreferences.getInstance().getString(KEY_AD, "1").toInt()
        set(value) = AppPreferences.getInstance().put(KEY_AD, value)

    const val KEY_GET_CONFIG = "getConfigInterval"
}